Package org.globus.ftp.dc

# Interface TransferContext

All Known Implementing Classes:
  `EBlockParallelTransferContext`, `SimpleTransferContext`

public interface TransferContext
Represents an environment shared by all data channels performing the same transfer.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getQuitToken()`
A thread can ask for a quit token to perform the operations associated with closing the transfer.

## Method Details

### getQuitToken

Object getQuitToken()
A thread can ask for a quit token to perform the operations associated with closing the transfer. The token is interpreted as a permission to perform these operations. The reason for such policy lies mainly in the nature of multithreaded transfer, where there are many transfer threads sharing the same context, but the closing should be done only once.

Returns:
  a non-null token is a permission for closing, null means no permission.